For the complete documentation index, see llms.txt. This page is also available as Markdown.

Check Sender Status

A sender's status may be obtained using this endpoint for emphasis on specific results on sender status and whitelisting status.

Endpoint

POST https://api.textcus.com/api/v2/senders/check-status

Headers

Authorization: Bearer API_KEY

Body Parameters

Parameters
Type
Description

sender_name

string

Required

Your 11 character sender ID name. eg. TextCus

Sample Requests

<?php
$url = 'https://api.textcus.com/api/v2/senders/check-status';

$data = [
  'sender_name' => "TextCus", // 11 Characters Only
];

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => $url,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS => $data,
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer API_KEY' // Replace 'API_KEY' with your actual API key
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

?>

Sample Response

Last updated